#pragma once

#include "CoreMinimal.h"
#include "SubPresenter.h"
#include "LoadingScreenSubPresenter.generated.h"

class ULoadingScreenPresenter;

UCLASS(Blueprintable)
class ULoadingScreenSubPresenter : public USubPresenter
{
	GENERATED_BODY()

protected:
	UPROPERTY(BlueprintReadWrite, Transient, Instanced)
	ULoadingScreenPresenter* _parentPresenter;

public:
	UFUNCTION(BlueprintCallable)
	void OnLoadingHintsFadeSequenceCompleted();

public:
	ULoadingScreenSubPresenter();
};

FORCEINLINE uint32 GetTypeHash(const ULoadingScreenSubPresenter) { return 0; }
